<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.category.home.title">Categories</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-category" [routerLink]="['/category/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.category.home.createLabel">
            Create a new Category
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="categories?.length === 0">
        <span jhiTranslate="tfsBackendApp.category.home.notFound">No categories found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="categories && categories.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.category.categoryNameFR">Category Name FR</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.category.categoryNameEN">Category Name EN</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let category of categories ;trackBy: trackId">
                    <td><a [routerLink]="['/category', category.id, 'view']">{{ category.id }}</a></td>
                    <td>{{ category.categoryNameFR }}</td>
                    <td>{{ category.categoryNameEN }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/category', category.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/category', category.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(category)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
